package com.virjar.echo.adr.bean;

import lombok.Data;

@Data
public class CommonRes<T> {
    private int status = statusOK;
    private String message;
    private T data;
    private String token;

    public static final int statusOK = 0;
    public static final int statusError = -1;
    public static final int statusNeedLogin = -2;
    public static final int statusLoginExpire = -3;


    public boolean isOk() {
        return status == statusOK;
    }
}
